de.vc.jfo.pagination

## Class ConditionalPageMasterReference

- java.lang.Object
- - de.vc.xml.AbstractNode
  - - de.vc.xml.AbstractNodeWithAttributes
    - - de.vc.jfo.FormattingObject
      - - de.vc.jfo.pagination.PageMasterReference
        - - de.vc.jfo.pagination.ConditionalPageMasterReference

- All Implemented Interfaces:
    AttributeChangeListener, Node, NodeElement, java.io.Serializable, java.lang.Cloneable

      public class ConditionalPageMasterReference
      extends PageMasterReference

  The fo:conditional-page-master-reference is used to identify a page-master that is to be used when the conditions on its use are satisfied. This allows different page-masters to be used, for example, for even and odd pages, for the first page in a page-sequence, or for blank pages. This usage is typical in chapters of a book or report where the first page has a different layout than the rest of the chapter and the headings and footings on even and odd pages may be different as well.

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class de.vc.jfo.FormattingObject

      `EMPTY_ARRAY`

    - ### Fields inherited from class de.vc.xml.AbstractNodeWithAttributes

      `MAP_TYPE_FLYWEIGHT, MAP_TYPE_HASH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConditionalPageMasterReference(PageMaster pageMaster)`
    `ConditionalPageMasterReference(PageMaster pageMaster, Values.BlankOrNot blankOrNot)`
    `ConditionalPageMasterReference(PageMaster pageMaster, Values.OddOrEven oddOrEven)`
    `ConditionalPageMasterReference(PageMaster pageMaster, Values.PagePosition position)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Values.BlankOrNot` | `getBlankOrNot()`
    `Values.OddOrEven` | `getOddOrEven()`
    `Values.PagePosition` | `getPagePosition()`
    `void` | `setBlankOrNot(Values.BlankOrNot value)`
    `void` | `setOddOrEven(Values.OddOrEven value)`
    `void` | `setPagePosition(Values.PagePosition value)`

    - ### Methods inherited from class de.vc.jfo.pagination.PageMasterReference

      `addUnsafe, getElements, getReferencedPageMaster, valueChange`

    - ### Methods inherited from class de.vc.jfo.FormattingObject

      `addElement, addElement, addUnsafe, clone, cloned, clonedList, createUniqueID, doGetAttribute, doSetAttribute, elementCount, get, getAbsolutePosition, getAccessibility, getAttributeMap, getBackground, getBorder, getDefinedAttributes, getDocument, getFont, getID, getLanguage, getLogger, getMargin, getMeasureValue, getObjectValue, getObjectValue, getObjectValue, getObjectValue, getOrphans, getPadding, getParentFO, getRelativePosition, getWidows, hasBorder, hasID, hasPadding, isEmpty, isHyphenation, removeElement, removeElement, replaceElement, setAbsolutePosition, setAccessibility, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setBackground, setBorder, setElement, setFont, setHyphenation, setID, setLanguage, setLanguage, setMargin, setOrphans, setPadding, setRelativePosition, setWidows`

    - ### Methods inherited from class de.vc.xml.AbstractNodeWithAttributes

      `getDefaultMapType, setDefaultMapType`

    - ### Methods inherited from class de.vc.xml.AbstractNode

      `addAttributeChangeListener, addElements, addElements, clearEqualAttributes, clearInheratedAttribute, clearInheratedAttributes, clearValue, contains, contains, copyAttributes, createID, findFirstNodeWithText, findNode, findNodesWithText, fire, fireSaxEvents, firstElement, getAttrAsBoolean, getAttrAsInteger, getAttrAsString, getAttrAsString, getAttribute, getAttribute, getAttributeMap, getContentText, getContentText, getDefinedAttributes, getElements, getElements, getElements, getFirstElement, getIndex, getLocalName, getNamespacePrefix, getNamespacePrefixes, getNamespaceURI, getParent, getParent, getParent, getParentOrThis, getQName, getRoot, hasEqualAttrs, indexOf, lastElement, liftInheritedAttribute, removeAttributeChangeListener, setAttribute, setAttributes, setAttrIfNotNull, setEnableAttributeChangeEvent, setNamespace, setParent, setQName, setUndefinedAttributes, writeTo, writeTo, writeTo, writeTo`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConditionalPageMasterReference

          public ConditionalPageMasterReference(PageMaster pageMaster)

    - #### ConditionalPageMasterReference

          public ConditionalPageMasterReference(PageMaster pageMaster,
                                        Values.PagePosition position)

    - #### ConditionalPageMasterReference

          public ConditionalPageMasterReference(PageMaster pageMaster,
                                        Values.BlankOrNot blankOrNot)

    - #### ConditionalPageMasterReference

          public ConditionalPageMasterReference(PageMaster pageMaster,
                                        Values.OddOrEven oddOrEven)

  - ### Method Detail

    - #### setPagePosition

          public void setPagePosition(Values.PagePosition value)

    - #### getPagePosition

          public Values.PagePosition getPagePosition()

    - #### setOddOrEven

          public void setOddOrEven(Values.OddOrEven value)

    - #### getOddOrEven

          public Values.OddOrEven getOddOrEven()

    - #### setBlankOrNot

          public void setBlankOrNot(Values.BlankOrNot value)

    - #### getBlankOrNot

          public Values.BlankOrNot getBlankOrNot()

© 2003-2011 by Sascha Schmidt (vision-cloud.de). All Rights Reserved.